Bug 30798 - Columns Home library and Checked out from in wrong order on table settings for account_fines table
Summary: Columns Home library and Checked out from in wrong order on table settings fo...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Emmi Takkinen
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-05-18 09:04 UTC by Emmi Takkinen
Modified: 2022-07-13 19:34 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00, 22.05.03


Attachments
Bug 30798: Change column order on account-fines table column settings (1.39 KB, patch)
2022-05-18 09:19 UTC, Emmi Takkinen
Details | Diff | Splinter Review
Bug 30798: Change column order on account-fines table column settings (1.45 KB, patch)
2022-05-18 13:29 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 30798: Change column order on account-fines table column settings (1.51 KB, patch)
2022-06-12 12:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Emmi Takkinen 2022-05-18 09:04:02 UTC
As title reads, columns Home library and Checked out from are in wrong order on table settings. Because of this hiding Home library actually hides Checkout out from column and vice versa.
Comment 1 Emmi Takkinen 2022-05-18 09:19:38 UTC
Created attachment 135094 [details] [review]
Bug 30798: Change column order on account-fines table column settings

Columns Home library and Checked out from are in wrong order
on table settings. Because of this hiding Home library actually
hides Checkout out from column and vice versa. This patch changes
order of these columns on columns_settings.yml

To test:
1) Navigate to columns settings page and modify
account-fines tables column.
=> Note that if you hide  column checked_out_from, column
home_library is hidden on patrons account page.
2) Apply patch and restart plack etc.
=> Column checked_out_from should now be hidden.

Sponsored-by: Koha-Suomi Oy
Comment 2 sandboxes@biblibre.com 2022-05-18 13:29:13 UTC
Created attachment 135109 [details] [review]
Bug 30798: Change column order on account-fines table column settings

Columns Home library and Checked out from are in wrong order
on table settings. Because of this hiding Home library actually
hides Checkout out from column and vice versa. This patch changes
order of these columns on columns_settings.yml

To test:
1) Navigate to columns settings page and modify
account-fines tables column.
=> Note that if you hide  column checked_out_from, column
home_library is hidden on patrons account page.
2) Apply patch and restart plack etc.
=> Column checked_out_from should now be hidden.

Sponsored-by: Koha-Suomi Oy

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Sally 2022-05-18 13:32:11 UTC
Signed off, works as described.

I tested the following combinations:

- both columns hidden
- both columns visible
- column 1 visible, column 2 hidden
- column 1 hidden, column 1 visible

I tested via Table Settings and via the Columns setting on boraccount.pl, and it reacts correctly with each modification.
Comment 4 Katrin Fischer 2022-06-12 12:22:22 UTC
Created attachment 135971 [details] [review]
Bug 30798: Change column order on account-fines table column settings

Columns Home library and Checked out from are in wrong order
on table settings. Because of this hiding Home library actually
hides Checkout out from column and vice versa. This patch changes
order of these columns on columns_settings.yml

To test:
1) Navigate to columns settings page and modify
account-fines tables column.
=> Note that if you hide  column checked_out_from, column
home_library is hidden on patrons account page.
2) Apply patch and restart plack etc.
=> Column checked_out_from should now be hidden.

Sponsored-by: Koha-Suomi Oy

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Tomás Cohen Arazi 2022-06-13 14:09:58 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 6 Lucas Gass 2022-07-13 19:34:44 UTC
Backported to 22.05.x for 22.05.03